CREATE TABLE T_SESSION(
  SES_ID INTEGER PRIMARY KEY generated always as identity,
  SES_NAME VARCHAR(80) NOT NULL,
  SES_PATH VARCHAR(512),
  SES_INDEX INTEGER NOT NULL,
  SES_CNX_URL VARCHAR(80) NOT NULL,
  SES_CNX_DRIVER VARCHAR(80) NOT NULL,
  SES_CNX_LOGIN VARCHAR(80),
  SES_CNX_PASSWORD VARCHAR(80),
  SES_CNX_AUTOCOMMIT INTEGER,
  SES_CNX_HOLDABILITY INTEGER,
  SES_CNX_TRANS_ISOLATION INTEGER,
  SES_CNX_READ_ONLY INTEGER,
  SES_CNX_OPEN_SCRIPT VARCHAR(4096),
  SES_CNX_CLOSE_SCRIPT VARCHAR(4096),
  SES_CNX_CREATED DATE,
  SES_CNX_LAST_UPDATED DATE,
  SES_CNX_FACTORY_NAME VARCHAR(80),
  SES_AUTO_CONNECT INTEGER,
  SES_DESC VARCHAR(4096)
);

CREATE TABLE T_SESSION_PROP(
  TSP_SES_ID INTEGER ,
  TSP_NAME VARCHAR(512),
  TSP_VALUE VARCHAR(4092),
  PRIMARY KEY(TSP_SES_ID,TSP_NAME)
);

CREATE TABLE T_CONFIG_PROP(
  TCP_NAME VARCHAR(512),
  TCP_VALUE VARCHAR(4092),
  PRIMARY KEY(TCP_NAME)
);

CREATE TABLE T_UI_NODE_PROPERTY(
  UNP_SES_ID INTEGER,
  UNP_CODE VARCHAR(512),
  UNP_PATH VARCHAR(4092),
  UNP_VALUE VARCHAR(4092),
  PRIMARY KEY(UNP_SES_ID,UNP_CODE,UNP_PATH)
);

CREATE TABLE T_CNX_PROPERTY(
  CPR_SES_ID INTEGER,
  CPR_NAME VARCHAR(1024),
  CPR_VALUE VARCHAR(4092),
  PRIMARY KEY(CPR_SES_ID,CPR_NAME)
);

CREATE TABLE T_DRIVER(
  DRV_ID INTEGER PRIMARY KEY generated always as identity ,
  DRV_NAME VARCHAR(80) NOT NULL,
  DRV_INDEX INTEGER NOT NULL,
  DRV_CLASS_NAME VARCHAR(1024) NOT NULL,
  DRV_DEFAULT_URL VARCHAR(4092) NOT NULL,
  DRV_DEFAULT_LOGIN VARCHAR(1024) NOT NULL,
  DRV_DEFAULT_PASSWORD VARCHAR(4092) NOT NULL,
  DRV_DEFAULT_DESC VARCHAR(1024) NOT NULL,
  DRV_ENABLED INTEGER NOT NULL
);


CREATE TABLE T_MESSAGE(
  MSG_LOC_NAME VARCHAR(80),
  MSG_ID VARCHAR(1024),
  MSG_DATA VARCHAR(8096) NOT NULL,
  PRIMARY KEY(MSG_LOC_NAME,MSG_ID)
);

create table T_DRIVER_LIB(
TDL_DRV_ID integer not null,
TDL_INDEX integer  not null,
TDL_URL varchar(512) not null,
primary key (TDL_DRV_ID,TDL_INDEX),
foreign key (TDL_DRV_ID) References  T_DRIVER(DRV_ID)
);

INSERT INTO T_SESSION(SES_NAME ,  SES_PATH, SES_INDEX,  SES_CNX_URL , SES_CNX_DRIVER , SES_CNX_LOGIN  , SES_CNX_PASSWORD) VALUES('config' ,'config',  1 ,  'jdbc:derby:${dbclient.rootfolder}/config/derbycfg;create=false' , 'org.apache.derby.jdbc.EmbeddedDriver' , 'DBCLIENT'  , 'plain:dbclient')


