select
'' CATALOG_NAME,
s.SCHEMANAME SCHEMA_NAME,
t.TABLENAME TABLE_NAME,
tr.TRIGGERNAME TRIGGER_NAME,
 CASE
   WHEN tr.EVENT='U' THEN 'UPDATE'
   WHEN tr.EVENT='D' THEN 'DELETE'
   WHEN tr.EVENT='I' THEN 'INSERT'
 END AS TRIGGER_EVENT,
 CASE
   WHEN tr.FIRINGTIME='B' THEN 'BEFORE'
   WHEN tr.FIRINGTIME='A' THEN 'AFTER'
 END AS TRIGGER_ACTION,
 CASE
   WHEN tr.TYPE='R' THEN 'ROW'
   WHEN tr.TYPE='S' THEN 'STATEMENT'
 END AS TRIGGER_TARGET

  from SYS.SYSTRIGGERS tr, SYS.SYSTABLES t, SYS.SYSSCHEMAS s
  where tr.TABLEID = t.TABLEID
  and s.SCHEMAID = t.SCHEMAID
  and s.SCHEMANAME Like ${schema?}
  and t.TABLENAME Like ${table?}
  and tr.TRIGGERNAME Like ${trigger?}